/*-----
* 
* Primary Stylesheet for The Hollidaysburh Area Public Library Website
* by Matthew Boyles
* https://www.embeemedialab.com
* 
-----*/


@font-face {
  font-family: 'Hind';
  src: url('/assets/fonts/Hind-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'Hind';
  src: url('/assets/fonts/Hind-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
}
@font-face {
  font-family: 'Hind';
  src: url('/assets/fonts/Hind-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: 'Montserrat';
  src: url('/assets/fonts/Montserrat-VariableFont_wght.ttf') format('truetype');
  font-weight: 100 900;
  font-style: normal;
}
:root {
  --primary: #003049; 
  --secondary: #00141E;
  --accent: #6f1a07;
  --gold: #c7b151;
	--alt-blue: #bfd7ea;
	--gray: #5a5e67;
  --white: #f8f8f8;
  --white-2: #fdf0d5;
  --black: #121212;
  --heading: "Montserrat", serif;
  --text: 'Hind', sans-serif;
  --text-color: #121212;
  --bg: transparent;
  --barsize: 12px;
}

/*-homepage-*/
.banner-section {
  background-image: url('/assets/img/home/art.bookself.1920x675.two.png');
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 675px;
  position: relative;
  padding: 0; 
}
.banner-section::before {
  content: '';
  position: absolute;
  top: 0; right: 0; bottom: 0; left: 0;
  background: rgba(0,0,0,0.05); 
}
.banner-section .container {
  position: relative;
  z-index: 1;
}
.content-box {
  color: #fff;
}
.content-box h3 {
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
  text-transform: uppercase;
}
.content-box h2 {
  font-size: 3rem;
  margin-bottom: 1.5rem;
}
.banner-section {
  position: relative;
  z-index: 1;
}
.btn-hero {
  background-color: #fff;
  color: var(--primary);     /* #003049 */
  font-size: 1.3rem;
  padding: 0.75rem 1.5rem;
  border: 2px solid var(--primary);
  transition: 
    background-color 0.3s ease,
    color 0.3s ease,
    transform 0.2s ease,
    box-shadow 0.3s ease;
}
.btn-hero:hover {
  background-color: var(--primary);
  color: #fff;
  transform: translateY(-2px);
  box-shadow: 0 0.5rem 1rem rgba(0, 48, 73, 0.3);
}
.home-cta-wrapper {
  position: relative;
  margin-top: -110px; 
  padding-top: 0px;  
  z-index: 2;         
}
.cta-home {
	padding-bottom: 150px;
}
.cta-home .inner-container {
	margin-top: -100px;
	position: relative;
	z-index: 11;
	background-color: rgb(255, 255, 255);
	box-shadow: 0px 30px 70px 0px rgba(33, 37, 43, 0.1);
}

.cta-home-box {
	text-align: center;
	padding-top: 55px;
	padding-bottom: 55px;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 14px 28px, rgba(0, 0, 0, 0.22) 0px 10px 10px;
}

.cta-home-icon {
	width: 90px;
	height: 90px;
	background-color: rgba(10, 10, 99, 0.15);
	display: -webkit-box;
	display: flex;
	-webkit-box-align: center;
	        align-items: center;
	-webkit-box-pack: center;
	        justify-content: center;
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 20px;
	border-radius: 50%;
}

.cta-home-icon i {
	font-size: 40px;
	color: var(--primary);
}
.cta-home-box h3 {
	color: var(--secondary);
	font-size: 24px;
	margin: 0;
	margin-bottom: 15px;
	  
}
.cta-home-box p {
	margin: 0;
	margin-bottom: 20px;
  color: var(--secondary);
}
.cta-home-box .btn {
	background-color: var(--primary);
	color: var(--white);
	border: 2px solid var(--primary);
	font-size: 16px;
	padding: 6px 26px;
}
.cta-home-box .btn:hover {
	background-color: var(--secondary);
	border-color: var(--secondary);
	color: #fff;
	box-shadow: rgba(0, 0, 0, 0.46) 0px 10px 36px 0px, rgba(0, 0, 0, 0.16) 0px 0px 0px 1px; 
}
[class*="col-"]:nth-child(2) .cta-home-box {
	background-color: var(--primary);
}
[class*="col-"]:nth-child(2) .cta-home-box h3 {
	color: #fff;
}
[class*="col-"]:nth-child(2) .cta-home-box p {
	color: #fff;
}
[class*="col-"]:nth-child(2) .cta-home-icon {
	background-color: rgba(255, 255, 255, 0.05);
}
[class*="col-"]:nth-child(2) .cta-home-icon i {
	color: var(--gold);
}
[class*="col-"]:nth-child(2) .cta-home-box .btn {
	background-color: var(--gold);
	border-color: var(--gold);
	color: var(--secondary);
}
[class*="col-"]:nth-child(2) .cta-home-box .btn:hover {
	background-color: #fff;
	border-color: #fff;
	color: var(--secondary);
}
.about-one p {
	margin: 0;
	color: var(--text-color);
	position: relative;
}
.about-one .container {
	padding-bottom: 175px;
}
@media (max-width: 767px) {
	.about-one .container {
		padding-bottom: 100px; 
	}
}
.about-one .block-title {
	margin-bottom: 50px;
}
.about-one .about-one-highlighted-text {
	font-family: var(--heading);
	color: var(--secondary);
	font-size: 24px;
	line-height: 44px;
	margin: 0;
	font-weight: 400;
	padding-right: 35px;
}
@media (max-width: 767px) {
	.about-one .about-one-highlighted-text{
		font-size: 20px;
		font-weight: 600;
		line-height: 35px;
		padding-right: 0px;
	}
	
}
.hapl-cards {
	padding-bottom: 120px;
}
.hapl-cards .row.high-gutter {
	margin-left: -53px;
	margin-right: -53px;
}
.hapl-cards .row.high-gutter>[class*="col-"] {
	padding-left: 53px;
	padding-right: 53px;
}
.hapl-cards-single {
	margin-bottom: 30px;
}
.hapl-cards-image {
	overflow: hidden;
	position: relative;
}
.hapl-cards-image>img {
	width: 100%;
	box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px; 
	border-radius: 24px; 
}
.hapl-cards-content {
	text-align: center;
}
.hapl-cards-content h3 {
	margin: 0;
	font-size: 2rem;
	color: var(--primary);
	font-weight: bold;
	margin-top: 20px;
	margin-bottom: 15px;
	width: 65%;
	margin-left: auto;
	margin-right: auto;
}
.hapl-cards-content h3 a {
	color: inherit;
	-webkit-transition: all 500ms ease;
	transition: all 500ms ease;
}
.hapl-cards-content h3 a:hover {
	color: var(--gold);
}
.hapl-cards-content p {
	margin: 0;
	font-size: 16px;
	text-transform: uppercase;
	color: var(--black);
}
.nav-cards {
  position: relative;               /* for the lift & shadow to look right */
  overflow: hidden;
  border-radius: 24px;
  box-shadow:
    rgba(0, 0, 0, 0.25) 0px 54px 55px,
    rgba(0, 0, 0, 0.12) 0px -12px 30px,
    rgba(0, 0, 0, 0.12) 0px 4px 6px,
    rgba(0, 0, 0, 0.17) 0px 12px 13px,
    rgba(0, 0, 0, 0.09) 0px -3px 5px;
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
}

.nav-cards img.card-img {
  display: block;                   /* remove inline‐img whitespace */
  width: 100%;
  height: auto;
  transition: transform 0.3s ease;
}

.nav-cards:hover {
  transform: translateY(-8px);
  box-shadow:
    rgba(0, 0, 0, 0.35) 0px 64px 64px,
    rgba(0, 0, 0, 0.18) 0px -16px 40px,
    rgba(0, 0, 0, 0.18) 0px 8px 8px,
    rgba(0, 0, 0, 0.22) 0px 16px 16px,
    rgba(0, 0, 0, 0.11) 0px -4px 7px;
}

.nav-cards:hover img.card-img {
  transform: scale(1.05);
}
.sub-cta {
	padding-top: 150px;
	padding-bottom: 150px;
	background-image: linear-gradient( 177.6deg,  rgba(1,0,62,1) 15.3%, rgba(20,0,113,1) 91.3% ); 
}
.sub-cta-top {
	display: -webkit-box;
	display: flex;
	-webkit-box-align: center;
	        align-items: center;
	-webkit-box-pack: justify;
	        justify-content: space-between;
}
.sub-cta-top .block-title h3 {
	color: #fff;
}
.sub-cta-top .more-post-link {
	color: #fff;
}
.sub-cta-top p {
	color: #fff;
}
.sub-cta-single {
	padding-left: 190px;
	position: relative;
}
@media (max-width: 1440px) {
	.sub-cta-single {
		padding-left: 120px;
	}
}
.sub-cta-content {
	position: absolute;
	bottom: 80px;
	left: 0;
	width: 100%;
}
.sub-cta-content h3 {
	margin: 0;
	font-size: 26px;
	line-height: 36px;
	font-weight: bold;
	color: #fff;
	width: 50%;
}
@media (max-width: 1440px) {
	.sub-cta-content h3 {
		width: 70%;
	}
}
.sub-cta-content h3 a {
	color: inherit;
	-webkit-transition: all 500ms ease;
	transition: all 500ms ease;
}
.sub-cta-content h3 a:hover {
	color: var(--thm-base);
}
/*-feature.section-*/
.feature-section {
	padding-top: 150px;
	padding-bottom: 200px;
}
.feature-section-left {
	padding-right: 50px;
}
.feature-section-left .feature-section-image {
	margin-bottom: 80px;
}
.feature-section-left>p {
	margin: 0;
}
.feature-section-btn {
	margin-top: 40px;
}
.feature-section-btn:hover {
	background-color: var(--thm-black);
	color: #fff;
}
.feature-section-right {
	padding-left: 50px;
	padding-top: 100px;
}
.feature-section-right>p {
	margin: 0;
	color: var(--black);
	font-family: var(--heading);
	font-size: 24px;
	line-height: 44px;
	margin-bottom: 85px;
}
.feature-section-right .block-title {
	margin-bottom: 50px;
}
.feature-section-image>img {
	max-width: 100%;
	box-shadow: 0px 20px 50px 0px rgba(33, 37, 43, 0.1);
}
.feature-section-image {
	overflow: hidden;
	position: relative;
}
.feature-section-image::after {
	content: "";
	width: 150%;
	height: 200%;
	position: absolute;
	top: -120%;
	left: -210%;
	z-index: 11;
	-webkit-transition: 1s;
	transition: 1s;
	-webkit-transform: rotate(30deg) scale(1.5);
	        transform: rotate(30deg) scale(1.5);
	background: -webkit-gradient(linear,
			left top, right top,
			color-stop(50%, rgba(255, 255, 255, 0)),
			to(rgba(255, 255, 255, 0.7)));
	background: linear-gradient(90deg,
			rgba(255, 255, 255, 0) 50%,
			rgba(255, 255, 255, 0.7) 100%);
}
.feature-section-image:hover::after {
	top: 100%;
	left: 100%;
	-webkit-transform: rotate(0);
	        transform: rotate(0);
}
/*---
* Subpages
---*/
.subpage-banner {
  background-image: url('/assets/img/home/art.bookself.1920x675.two.png');
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 350px;
  position: relative;
  padding: 0; 
}
.subpage-banner::before {
  content: '';
  position: absolute;
  top: 0; right: 0; bottom: 0; left: 0;
  background: rgba(0,0,0,0.05); 
}
.subpage-banner .container {
  position: relative;
  z-index: 1;
}
.subpage-banner-box {
  color: #fff;
}
.subpage-banner-box h2 {
  font-size: 3.7rem;
  margin-bottom: 1rem;
	font-weight: 700;
}
.subpage-banner-box h3{
	font-size: 1.4rem;
	margin-bottom: 1rem;
	font-weight: 500;
}
.subpage-banner {
  position: relative;
  z-index: 1;
}
/*-about-*/
.about {
	padding-top: 150px;
	padding-bottom: 140px;
}
.about {
	position: relative;
	background-image: -webkit-gradient(linear, left top, right top, from(rgba(245, 247, 250, 0)), to(rgba(245, 247, 250, 0.8)));
	background-image: linear-gradient(90deg, rgba(245, 247, 250, 0) 0%, rgba(245, 247, 250, 0.8) 100%);
}

.about .container {
	position: relative;
}

.about::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	opacity: 0.3;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	background-image: url(#);
}

.about-content>p {
	font-size: 16px;
	line-height: 28px;
	color: #252930;
	margin: 0;
}

.about-content>p+p {
	margin-top: 30px;

}

.about-callout-text {
	margin-bottom: 30px;
}

.about-callout-text p {
	margin: 0;
	color: #000000;
	font-size: 24px;
	line-height: 44px;
	font-family: var(--heading);
}

.about-img {
	position: absolute;
	right: 0;
	top: 50px;
}

.about-img>img {
	position: relative;
	box-shadow: 0px 20px 50px 0px rgba(33, 37, 43, 0.3);
}

.about-img::before {
	content: '';
	width: 250px;
	height: 370px;
	background-image: url(../img/about/about-4-dots.png);
	background-repeat: no-repeat;
	background-position: top left;
	position: absolute;
	top: -100px;
	right: -70px;
}

.about-content .block-title {
	margin-bottom: 50px;
}

.board-section{
	padding-bottom: 120px;
}

.services-section{
	padding-bottom: 120px;
}
.policies-block{
	padding-top: 50px; 
}
.policies-block h4{
	font-weight: 600;
	font-size: 1.8rem;
	padding-bottom: 20px;
}
.policies-block p{
	font-size: 1.15rem;
}

.about-alt{
	background-color: #00141E;
	color: var(--white-2);
	padding-top: 50px;
	padding-bottom: 50px;
}
.about-alt .block-title h3{
	color: var(--white-2);
}
.about-alt h4{
	color: var(--white-2);
}
.about-alt p{
	color: var(--white-2); 
	font-size: 1.15rem;
	padding-top: 20px;
}
.about-alt li{
	color: var(--white-2);
	font-size: 1.15rem;
}
.events-into{
	padding-top: 150px;
	padding-bottom: 25px;
}

.hapl-content{
	padding-top: 25px; 
	padding-bottom: 25px;
}
.hapl-content p{
	font-size: 1.25rem;
}
.events-block{
	padding-top: 20px;
	padding-bottom: 75px;
}
.month-heading{
	color: var(--primary);
	font-size: 3rem;
	text-decoration: underline 3px var(--primary)
}
.event-box{
	position: relative;
	background-color: rgba(0, 76, 255, 0.275);
	border-radius: 14px;
	padding: 4rem 4rem;
	margin: 2rem 0;
}
.event-date{
	position: absolute;
	top: 10px;
	left: 10px;
	width: 50px;
	height: 50px;
	background: var(--primary);
	color: var(--white);
	border-radius: 50%;
	display: flex;
	justify-content: center;
	align-items: center;
	font-weight: 600;
	font-size: 2rem;
}
.event-box h4{
	font-size: 2rem;
}

.icon-blocks {
  display: flex;
  justify-content: space-between;
  margin-top: 1rem;
  text-align: center;
}

.icon-item {
  flex: 1;
  display: flex;
  align-items: center;
  gap: 0.5rem; /* space between icon and text */
  justify-content: center; /* center content in the block */
}

.icon {
  font-size: 1.5rem;
  display: block;
  color: var(--white);
	background-color: var(--primary);
	padding: 1rem;
	border-radius: 50%;

}
.kids-block{
	padding-top: 50px; 
}
.kids-block h4{
	font-weight: 600;
	font-size: 1.8rem;
	padding-bottom: 20px;
	color: var(--primary);
	font-weight: 700;
}
.kids-block p{
	font-size: 1.25rem;
	color: var(--secondary);
	font-weight: 500;
}
.divider {
  width: 100%;
  height: 1px;
  display: block;
  position: relative;
  margin-bottom: 0em;
  padding: 2em 0;
}

.divider::before,
.divider::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 1px;
  bottom: 50%;
  left: 0;
}

.divider::before {
  background: linear-gradient(
    90deg,
    var(--bg) 0%,
    var(--bg) 50%,
    transparent 50%,
    transparent 100%
  );
  background-size: var(--barsize);
  background-position: center;
  z-index: 1;
}

.divider::after {
  transition: opacity 0.3s ease, animation 0.3s ease;
  background: linear-gradient(
    to right,
    #62efab 5%,
    #f2ea7d 15%,
    #f2ea7d 25%,
    #ff8797 35%,
    #ff8797 45%,
    #e1a4f4 55%,
    #e1a4f4 65%,
    #82fff4 75%,
    #82fff4 85%,
    #62efab 95%
  );
  background-size: 200%;
  background-position: 0%;
  animation: bar 15s linear infinite;
}

@keyframes bar {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 200%;
  }
}

.divider.anim::before {
  background: linear-gradient(
    90deg,
    var(--bg) 0%, var(--bg) 5%,
    transparent 5%, transparent 10%,
    var(--bg) 10%, var(--bg) 15%,
    transparent 15%, transparent 20%,
    var(--bg) 20%, var(--bg) 25%,
    transparent 25%, transparent 30%,
    var(--bg) 30%, var(--bg) 35%,
    transparent 35%, transparent 40%,
    var(--bg) 40%, var(--bg) 45%,
    transparent 45%, transparent 50%,
    var(--bg) 50%, var(--bg) 55%,
    transparent 55%, transparent 60%,
    var(--bg) 60%, var(--bg) 65%,
    transparent 65%, transparent 70%,
    var(--bg) 70%, var(--bg) 75%,
    transparent 75%, transparent 80%,
    var(--bg) 80%, var(--bg) 85%,
    transparent 85%, transparent 90%,
    var(--bg) 90%, var(--bg) 95%,
    transparent 95%, transparent 100%
  );
  background-size: calc(var(--barsize) * 10);
  background-position: center;
  z-index: 1;
  animation: bar 120s linear infinite;
}

.divider.anim:hover::before {
  animation-duration: 20s;
}

.divider.anim:hover::after {
  animation-duration: 2s;
}


.get-card-kids{
	background-color: rgba(0, 204, 255, 0.519); 
	padding: 2rem;
	border-radius: 14px;
}
.get-card-kids h4{
	color: #003745;
	font-size: 2rem;
	font-weight: 800;
}
.get-card-kids p{
	color: #003745;
	font-size: 1.25rem;
	font-weight: 700;
}